Subject: Re: bug#54126: 29.0.50; C-x x g doesn't always correctly revert SSHFS files

From: Michael Albinus <[email-masked]>
Date: Fri, 18 Mar 2022 18:53:11 +0100

Philipp Stephani <[email-masked]> writes:

Hi Philipp,

>> Another cache might come from sshfs itself. Tramp calls sshfs like
>> "sshfs localhost:/ /tmp/tramp.sshfs.localhost -C -o idmap=user,reconnect".
>> See tramp-mount-args settings in tramp-sshfs.el, line 33-34. You might
>> try to add other options, like "-o no_readahead" or "-o sync_readdir",
>> see sshfs(1). Don't forget to unmount the sshfs mount point, before you
>> start a new Emacs session with changed options.
>
> I'll play around with that, thanks for the hint.
> If this turns out to be the problem, then caching should probably be
> disabled by default, because sequential consistency is more important
> than potential speed-ups.

This is fixed already in git master, see my other message. The trick was
to set "-o dir_cache=no", which disables the sshfs directory cache.

Best regards, Michael.